#!/bin/bash
#SBATCH --cpus-per-task=64
#SBATCH --partition=core128
#SBATCH --array=0-11%8
#SBATCH --output errors.txt

# --- Running 12 calculations: 6 assemblies x 2 histories

HIS=$((SLURM_ARRAY_TASK_ID/6))
ASS=$(($SLURM_ARRAY_TASK_ID - $HIS*6))

HIS=$(($HIS + 1))
ASS=$(($ASS + 1))

# --- Run and link result

srun $SERPENT_EXE_PATH -omp $SLURM_CPUS_PER_TASK -casematrix nominals $HIS -1 A${ASS} > out_A${ASS}_h${HIS}.txt
ln -s A${ASS}_nominals_h${HIS}.wrk A${ASS}_variations_h${HIS}.wrk
