#!/bin/bash
#SBATCH --cpus-per-task=32
#SBATCH --partition=core128
#SBATCH --output errors.txt
#SBATCH --array=48-71%24

# --- Running 72 calculations: 6 assemblies x 2 histories x 6 branches

HIS=$((SLURM_ARRAY_TASK_ID/36))          # 6 ass x 6 branch
REM=$(($SLURM_ARRAY_TASK_ID - $HIS*36))  # 6 ass x 6 branch

ASS=$(($REM/6))
COE=$(($REM - $ASS*6))

HIS=$(($HIS + 1))
COE=$(($COE + 1))
ASS=$(($ASS + 1))

# --- Simply echo the case we would calculate (to check the setup)

#echo ${SLURM_ARRAY_TASK_ID}_${ASS}_${HIS}_${COE} >> coenoms.txt

# --- Run calculation

srun $SERPENT_EXE_PATH -omp $SLURM_CPUS_PER_TASK -casematrix nominals $HIS $COE A${ASS} > out_A${ASS}_nom_h${HIS}_b${COE}.txt
