#!/bin/bash
#SBATCH --cpus-per-task=32
#SBATCH --partition=core128
#SBATCH --output errors.txt
#SBATCH --array=86-90%4

# --- Running 288 calculations: 6 assemblies x 2 histories x 24 branches

HIS=$((SLURM_ARRAY_TASK_ID/144))          # 6 ass x 24 branch
REM=$(($SLURM_ARRAY_TASK_ID - $HIS*144))  # 6 ass x 24 branch

ASS=$(($REM/24))
COE=$(($REM - $ASS*24))

HIS=$(($HIS + 1))
COE=$(($COE + 1))
ASS=$(($ASS + 1))

# --- Simply echo the case we would calculate (to check the setup)

#echo ${SLURM_ARRAY_TASK_ID}_${ASS}_${HIS}_${COE} >> coevars.txt

# --- Run calculation

srun $SERPENT_EXE_PATH -omp $SLURM_CPUS_PER_TASK -casematrix variations $HIS $COE A${ASS} > out_A${ASS}_var_h${HIS}_b${COE}.txt
