%%%%%%%%%%%%%%%%%%%%%%%
% --- Assembly type 1 %
%%%%%%%%%%%%%%%%%%%%%%%

% --- Fuel pin and Gd pin

pin 1F
F1500     0.40950
air       0.41790
zirc      0.47500
fill bare

pin 1G
F1506     0.40950
air       0.41790
zirc      0.47500
fill bare

% --- Variant utilizing symmetry (useful for group constant generation)

lat lA1s 1  0.0 0.0 17 17  1.25984
.  .  .  .  .  .  .  . 1F 1F 1F 1F 1F 1F 1F 1F 1F
.  .  .  .  .  .  .  . 1F 1F 1F 1F 1F 1F 1F 1F  .
.  .  .  .  .  .  .  . cr 1F 1F cr 1F 1F 1F  .  .
.  .  .  .  .  .  .  . 1F 1F 1F 1F 1F cr  .  .  .
.  .  .  .  .  .  .  . 1F 1F 1G 1F 1F  .  .  .  .
.  .  .  .  .  .  .  . cr 1F 1F cr  .  .  .  .  .
.  .  .  .  .  .  .  . 1F 1F 1F  .  .  .  .  .  .
.  .  .  .  .  .  .  . 1F 1F  .  .  .  .  .  .  .
.  .  .  .  .  .  .  . it  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .

% --- Utilize 45 degree symmetry to ensure a symmetric burnup distribution
set usym lA1s 3 2 0.0 0.0 270 45

% --- Assembly may be surrounded by zircaloy sleeve during group constant generation
cell cA1s.1 uA1s fill lA1s       -SG.2
cell cA1s.2 uA1s fill uNosleeve   SG.2

%%%%%%%%%%%%%%%%%%%%%%%
% --- Assembly type 2 %
%%%%%%%%%%%%%%%%%%%%%%%

% --- Fuel pin

pin 2F
F1400     0.40950
air       0.41790
zirc      0.47500
fill bare

% --- Variant utilizing symmetry (useful for group constant generation)

lat lA2s 1  0.0 0.0 17 17  1.25984
.  .  .  .  .  .  .  . 2F 2F 2F 2F 2F 2F 2F 2F 2F
.  .  .  .  .  .  .  . 2F 2F 2F 2F 2F 2F 2F 2F  .
.  .  .  .  .  .  .  . cr 2F 2F cr 2F 2F 2F  .  .
.  .  .  .  .  .  .  . 2F 2F 2F 2F 2F cr  .  .  .
.  .  .  .  .  .  .  . 2F 2F 2F 2F 2F  .  .  .  .
.  .  .  .  .  .  .  . cr 2F 2F cr  .  .  .  .  .
.  .  .  .  .  .  .  . 2F 2F 2F  .  .  .  .  .  .
.  .  .  .  .  .  .  . 2F 2F  .  .  .  .  .  .  .
.  .  .  .  .  .  .  . it  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .

% --- Utilize 45 degree symmetry to ensure a symmetric burnup distribution
set usym lA2s 3 2 0.0 0.0 270 45

% --- Assembly may be surrounded by zircaloy sleeve during group constant generation
cell cA2s.1 uA2s fill lA2s       -SG.2
cell cA2s.2 uA2s fill uNosleeve   SG.2

%%%%%%%%%%%%%%%%%%%%%%%
% --- Assembly type 3 %
%%%%%%%%%%%%%%%%%%%%%%%

% --- Fuel pin and Gd pin

pin 3F
F1800     0.40950
air       0.41790
zirc      0.47500
fill bare

pin 3G
F1806     0.40950
air       0.41790
zirc      0.47500
fill bare

% --- Variant utilizing symmetry (useful for group constant generation)

lat lA3s 1  0.0 0.0 17 17  1.25984
.  .  .  .  .  .  .  . 3F 3F 3F 3F 3F 3F 3F 3F 3F
.  .  .  .  .  .  .  . 3F 3F 3F 3F 3F 3F 3F 3F  .
.  .  .  .  .  .  .  . cr 3F 3F cr 3F 3F 3F  .  .
.  .  .  .  .  .  .  . 3F 3F 3F 3F 3F cr  .  .  .
.  .  .  .  .  .  .  . 3F 3F 3F 3F 3G  .  .  .  .
.  .  .  .  .  .  .  . cr 3F 3F cr  .  .  .  .  .
.  .  .  .  .  .  .  . 3F 3F 3F  .  .  .  .  .  .
.  .  .  .  .  .  .  . 3F 3F  .  .  .  .  .  .  .
.  .  .  .  .  .  .  . it  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .

% --- Utilize 45 degree symmetry to ensure a symmetric burnup distribution
set usym lA3s 3 2 0.0 0.0 270 45

% --- Assembly may be surrounded by zircaloy sleeve during group constant generation
cell cA3s.1 uA3s fill lA3s       -SG.2
cell cA3s.2 uA3s fill uNosleeve   SG.2

%%%%%%%%%%%%%%%%%%%%%%%
% --- Assembly type 4 %
%%%%%%%%%%%%%%%%%%%%%%%

% --- Fuel pin and Gd pin

pin 4F
F2400     0.40950
air       0.41790
zirc      0.47500
fill bare

pin 4G
F2405     0.40950
air       0.41790
zirc      0.47500
fill bare

% --- Variant utilizing symmetry (useful for group constant generation)

lat lA4s 1  0.0 0.0 17 17  1.25984
.  .  .  .  .  .  .  . 4F 4F 4F 4F 4F 4F 4F 4F 4F
.  .  .  .  .  .  .  . 4F 4F 4F 4F 4F 4F 4F 4F  .
.  .  .  .  .  .  .  . cr 4F 4F cr 4F 4F 4F  .  .
.  .  .  .  .  .  .  . 4F 4F 4F 4F 4F cr  .  .  .
.  .  .  .  .  .  .  . 4F 4F 4G 4F 4F  .  .  .  .
.  .  .  .  .  .  .  . cr 4F 4F cr  .  .  .  .  .
.  .  .  .  .  .  .  . 4F 4F 4F  .  .  .  .  .  .
.  .  .  .  .  .  .  . 4F 4F  .  .  .  .  .  .  .
.  .  .  .  .  .  .  . it  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .

% --- Utilize 45 degree symmetry to ensure a symmetric burnup distribution
set usym lA4s 3 2 0.0 0.0 270 45

% --- Assembly may be surrounded by zircaloy sleeve during group constant generation
cell cA4s.1 uA4s fill lA4s       -SG.2
cell cA4s.2 uA4s fill uNosleeve   SG.2

%%%%%%%%%%%%%%%%%%%%%%%
% --- Assembly type 5 %
%%%%%%%%%%%%%%%%%%%%%%%

% --- Fuel pin and Gd pin

pin 5F
F2400     0.40950
air       0.41790
zirc      0.47500
fill bare

pin 5G
F2409     0.40950
air       0.41790
zirc      0.47500
fill bare

% --- Variant utilizing symmetry (useful for group constant generation)

lat lA5s 1  0.0 0.0 17 17  1.25984
.  .  .  .  .  .  .  . 5F 5F 5F 5F 5F 5F 5F 5F 5F
.  .  .  .  .  .  .  . 5F 5F 5F 5F 5F 5F 5F 5F  .
.  .  .  .  .  .  .  . cr 5F 5F cr 5F 5F 5F  .  .
.  .  .  .  .  .  .  . 5F 5F 5F 5F 5F cr  .  .  .
.  .  .  .  .  .  .  . 5F 5F 5G 5F 5F  .  .  .  .
.  .  .  .  .  .  .  . cr 5F 5F cr  .  .  .  .  .
.  .  .  .  .  .  .  . 5F 5F 5F  .  .  .  .  .  .
.  .  .  .  .  .  .  . 5F 5F  .  .  .  .  .  .  .
.  .  .  .  .  .  .  . it  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .

% --- Utilize 45 degree symmetry to ensure a symmetric burnup distribution
set usym lA5s 3 2 0.0 0.0 270 45

% --- Assembly may be surrounded by zircaloy sleeve during group constant generation
cell cA5s.1 uA5s fill lA5s       -SG.2
cell cA5s.2 uA5s fill uNosleeve   SG.2

%%%%%%%%%%%%%%%%%%%%%%%
% --- Assembly type 6 %
%%%%%%%%%%%%%%%%%%%%%%%

% --- Fuel pin

pin 6F
F1800     0.40950
air       0.41790
zirc      0.47500
fill bare

% --- Variant utilizing symmetry (useful for group constant generation)

lat lA6s 1  0.0 0.0 17 17  1.25984
.  .  .  .  .  .  .  . 6F 6F 6F 6F 6F 6F 6F 6F 6F
.  .  .  .  .  .  .  . 6F 6F 6F 6F 6F 6F 6F 6F  .
.  .  .  .  .  .  .  . cr 6F 6F cr 6F 6F 6F  .  .
.  .  .  .  .  .  .  . 6F 6F 6F 6F 6F cr  .  .  .
.  .  .  .  .  .  .  . 6F 6F 6F 6F 6F  .  .  .  .
.  .  .  .  .  .  .  . cr 6F 6F cr  .  .  .  .  .
.  .  .  .  .  .  .  . 6F 6F 6F  .  .  .  .  .  .
.  .  .  .  .  .  .  . 6F 6F  .  .  .  .  .  .  .
.  .  .  .  .  .  .  . it  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .
.  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .  .

% --- Utilize 45 degree symmetry to ensure a symmetric burnup distribution
set usym lA6s 3 2 0.0 0.0 270 45

% --- Assembly may be surrounded by zircaloy sleeve during group constant generation
cell cA6s.1 uA6s fill lA6s       -SG.2
cell cA6s.2 uA6s fill uNosleeve   SG.2
