
% --- Some common structures for assembly definitions used in Kraken tutorial

% --- Empty pin position:

pin  X
cool

% -----------------------------------------------------------------------------

% --- Instrumentation and guide tubes: ----------------------------------------

% --- Empty instrumentation tube:
pin it
cool        0.50419
zirc        0.54610
fill bare

% --- Control rod guide tube (filled with coolant "nocr" by default)
pin cr
fill nocr   0.48387
cool        0.50419
zirc        0.54610
fill bare

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Egg-crate spacer grid definitions %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Square surface with half-width 0.61015 for inconel grid
surf SG.0     sqc 0 0 0.61015

% Square surface with half-width 0.61049 for zircaloy grid
surf SG.1     sqc 0 0 0.61049

% --- Different infinite channel fills for gc generation

cell CHI.out spa_inc cool   -SG.0
cell CHI.in  spa_inc inc718  SG.0

cell CHZ.out spa_zirc cool  -SG.1
cell CHZ.in  spa_zirc zirc   SG.1

cell CHW.out bare cool  -SG.1
cell CHW.in  bare cool   SG.1

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  --- Axially infinite sleeve for gc generation %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

surf SG.2 sqc 0.0 0.0 10.70864
surf SG.3 sqc 0.0 0.0 10.74798

cell S.1 uSleeve cool  -SG.2
cell S.2 uSleeve zirc   SG.2 -SG.3
cell S.3 uSleeve cool   SG.3

% --- Universe with just coolant

surf sInf inf

cell S.4 uNosleeve cool -sInf

% -----------------------------------------------------------------------------
