%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 3D model of assembly type 1 for axial reflector constant generation %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

lat inc718    6  0.0 0.0 21.50364 inc718.1
lat inc718.1  6  0.0 0.0  1.25984 inc718.2

pin inc718.2
INC

lat BOC    6  0.0 0.0 21.50364 BOC.1
lat BOC.1  6  0.0 0.0  1.25984 BOC.2

pin BOC.2
EBOC        0.43310
air         0.43688
steel

% --- Control rod banks:

% --- Bank 1: Safety rod
surf S1.1 pz     0
surf S1.2 pz     5
surf S1.3 pz     100

cell S1.1 S1 cool        -S1.1
cell S1.2 S1 fill inc718  S1.1 -S1.2
cell S1.3 S1 fill BOC     S1.2 -S1.3
cell S1.4 S1 steel        S1.3

% ----- Control rod pattern:

lat rod 1 0.0 0.0 1 1 21.50364
S1

% ----- Coordinate transformation to local system:

trans u rod 0

% --- Spacer grids

surf SG1.1 pz   0.0
surf SG1.2 pz   5.715

surf SG2.1 pz  50.000
surf SG2.2 pz  55.715

surf SG3.1 pz 100.000
surf SG3.2 pz 103.358

% --- Channel:

cell CH1.1 chan cool   -SG1.1
cell CH1.2 chan cool    SG1.1 -SG1.2 -SG.1
cell CH1.3 chan zirc    SG1.1 -SG1.2  SG.1

cell CH2.1 chan cool    SG1.2 -SG2.1
cell CH2.2 chan cool    SG2.1 -SG2.2 -SG.1
cell CH2.3 chan zirc    SG2.1 -SG2.2  SG.1

cell CH3.1 chan cool    SG2.2 -SG3.1
cell CH3.2 chan cool    SG3.1 -SG3.2 -SG.0
cell CH3.3 chan INC     SG3.1 -SG3.2  SG.0

cell CH6.1 chan cool  SG3.2

% --- Instrumentation and guide tubes: ----------------------------------------

% --- Empty instrumentation tube:

pin T
cool        0.50419
zirc        0.54610
fill chan

% --- Control rod with guide tube

pin O
fill rod    0.48387
cool        0.50419
zirc        0.54610
fill chan

% --- Lower zirconium plugs

pin  P
zirc      0.47500
fill chan

lat A1.1  1  0.0 0.0 19 19  1.25984

X X X X X X X X X X X X X X X X X X X
X P P P P P P P P P P P P P P P P P X
X P P P P P P P P P P P P P P P P P X
X P P P P P O P P O P P O P P P P P X
X P P P O P P P P P P P P P O P P P X
X P P P P P P P P P P P P P P P P P X
X P P O P P O P P O P P O P P O P P X
X P P P P P P P P P P P P P P P P P X
X P P P P P P P P P P P P P P P P P X
X P P O P P O P P T P P O P P O P P X
X P P P P P P P P P P P P P P P P P X
X P P P P P P P P P P P P P P P P P X
X P P O P P O P P O P P O P P O P P X
X P P P P P P P P P P P P P P P P P X
X P P P O P P P P P P P P P O P P P X
X P P P P P O P P O P P O P P P P P X
X P P P P P P P P P P P P P P P P P X
X P P P P P P P P P P P P P P P P P X
X X X X X X X X X X X X X X X X X X X

% --- Active part:

% --- Active part:

lat A1.2  1  0.0 0.0 19 19  1.25984

X  X  X  X  X  X  X  X  X  X  X  X  X  X  X  X  X  X  X
X 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A  X
X 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A  X
X 1A 1A 1A 1A 1A  O 1A 1A  O 1A 1A  O 1A 1A 1A 1A 1A  X
X 1A 1A 1A  O 1A 1A 1A 1A 1A 1A 1A 1A 1A  O 1A 1A 1A  X
X 1A 1A 1A 1A 1A 1A 1G 1A 1A 1A 1G 1A 1A 1A 1A 1A 1A  X
X 1A 1A  O 1A 1A  O 1A 1A  O 1A 1A  O 1A 1A  O 1A 1A  X
X 1A 1A 1A 1A 1G 1A 1A 1A 1A 1A 1A 1A 1G 1A 1A 1A 1A  X
X 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A  X
X 1A 1A  O 1A 1A  O 1A 1A  T 1A 1A  O 1A 1A  O 1A 1A  X
X 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A  X
X 1A 1A 1A 1A 1G 1A 1A 1A 1A 1A 1A 1A 1G 1A 1A 1A 1A  X
X 1A 1A  O 1A 1A  O 1A 1A  O 1A 1A  O 1A 1A  O 1A 1A  X
X 1A 1A 1A 1A 1A 1A 1G 1A 1A 1A 1G 1A 1A 1A 1A 1A 1A  X
X 1A 1A 1A  O 1A 1A 1A 1A 1A 1A 1A 1A 1A  O 1A 1A 1A  X
X 1A 1A 1A 1A 1A  O 1A 1A  O 1A 1A  O 1A 1A 1A 1A 1A  X
X 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A  X
X 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A 1A  X
X  X  X  X  X  X  X  X  X  X  X  X  X  X  X  X  X  X  X

% --- Plenum:

pin  H
steel       0.06459
air         0.41790
zirc        0.47500
fill chan

lat A1.3  1  0.0 0.0 19 19  1.25984

X X X X X X X X X X X X X X X X X X X
X H H H H H H H H H H H H H H H H H X
X H H H H H H H H H H H H H H H H H X
X H H H H H O H H O H H O H H H H H X
X H H H O H H H H H H H H H O H H H X
X H H H H H H H H H H H H H H H H H X
X H H O H H O H H O H H O H H O H H X
X H H H H H H H H H H H H H H H H H X
X H H H H H H H H H H H H H H H H H X
X H H O H H O H H T H H O H H O H H X
X H H H H H H H H H H H H H H H H H X
X H H H H H H H H H H H H H H H H H X
X H H O H H O H H O H H O H H O H H X
X H H H H H H H H H H H H H H H H H X
X H H H O H H H H H H H H H O H H H X
X H H H H H O H H O H H O H H H H H X
X H H H H H H H H H H H H H H H H H X
X H H H H H H H H H H H H H H H H H X
X X X X X X X X X X X X X X X X X X X

% --- Upper zirconium plugs

lat A1.4  1  0.0 0.0 19 19  1.25984

X X X X X X X X X X X X X X X X X X X
X P P P P P P P P P P P P P P P P P X
X P P P P P P P P P P P P P P P P P X
X P P P P P O P P O P P O P P P P P X
X P P P O P P P P P P P P P O P P P X
X P P P P P P P P P P P P P P P P P X
X P P O P P O P P O P P O P P O P P X
X P P P P P P P P P P P P P P P P P X
X P P P P P P P P P P P P P P P P P X
X P P O P P O P P T P P O P P O P P X
X P P P P P P P P P P P P P P P P P X
X P P P P P P P P P P P P P P P P P X
X P P O P P O P P O P P O P P O P P X
X P P P P P P P P P P P P P P P P P X
X P P P O P P P P P P P P P O P P P X
X P P P P P O P P O P P O P P P P P X
X P P P P P P P P P P P P P P P P P X
X P P P P P P P P P P P P P P P P P X
X X X X X X X X X X X X X X X X X X X

% --- Space below top nozzle

lat A1.5  1  0.0 0.0 19 19  1.25984

X X X X X X X X X X X X X X X X X X X
X X X X X X X X X X X X X X X X X X X
X X X X X X X X X X X X X X X X X X X
X X X X X X O X X O X X O X X X X X X
X X X X O X X X X X X X X X O X X X X
X X X X X X X X X X X X X X X X X X X
X X X O X X O X X O X X O X X O X X X
X X X X X X X X X X X X X X X X X X X
X X X X X X X X X X X X X X X X X X X
X X X O X X O X X T X X O X X O X X X
X X X X X X X X X X X X X X X X X X X
X X X X X X X X X X X X X X X X X X X
X X X O X X O X X O X X O X X O X X X
X X X X X X X X X X X X X X X X X X X
X X X X O X X X X X X X X X O X X X X
X X X X X X O X X O X X O X X X X X X
X X X X X X X X X X X X X X X X X X X
X X X X X X X X X X X X X X X X X X X
X X X X X X X X X X X X X X X X X X X

% --- Pin

pin 1A
F1500     0.40950
air       0.41790
zirc      0.47500
fill chan

pin 1G
F1506     0.40950
air       0.41790
zirc      0.47500
fill chan

% --- Surfaces and transformations that determine core height -----------------

% --- Structure below active core:

surf AX1.1  pz -16.748  % Bottom of support plate
surf AX1.2  pz  -1.748  % Bottom of zirconium plugs

% --- Active part:

surf AX2.1  pz    0   % Bottom of active core
surf AX2.2  pz  100   % Top of active core

% --- Structure above active core: (upper nozzle omitted for now)

surf AX3.1  pz  104.007   % Top of plenum
surf AX3.2  pz  106.547   % Top of zirconium plug
surf AX3.3  pz  109.892   % Bottom of top nozzle
surf AX3.4  pz  118.719   % Top of top nozzle

% --- Axial structure:

cell A1.1  A1 cool       -AX1.1        -SG.2 % Below bottom support plate
cell A1.2  A1 steel_water AX1.1 -AX1.2 -SG.2 % Bottom support plate
cell A1.3  A1 fill A1.1   AX1.2 -AX2.1 -SG.2 % Zirconium plugs
cell A1.4  A1 fill A1.2   AX2.1 -AX2.2 -SG.2 % Active zone
cell A1.5  A1 fill A1.3   AX2.2 -AX3.1 -SG.2 % Plenum
cell A1.6  A1 fill A1.4   AX3.1 -AX3.2 -SG.2 % Zirconium plugs
cell A1.7  A1 fill A1.5   AX3.2 -AX3.3 -SG.2 % Space below top nozzle
cell A1.8  A1 steel_water AX3.3 -AX3.4 -SG.2 % Top nozzle
cell A1.9  A1 cool        AX3.4        -SG.2

% --- Spacer grid sleeve ------------------------------------------------------

cell AS1 sleeve cool               -AX1.1
cell AS2 sleeve steel_water  AX1.1 -AX1.2
cell AS3 sleeve cool         AX1.2 -SG1.1
cell AS4 sleeve cool         SG1.1 -SG1.2 -SG.2
cell AS5 sleeve zirc         SG1.1 -SG1.2  SG.2 -SG.3
cell AS6 sleeve cool         SG1.1 -SG1.2  SG.3
cell AS7 sleeve cool         SG1.2 -SG2.1
cell AS8 sleeve cool         SG2.1 -SG2.2 -SG.2
cell AS9 sleeve zirc         SG2.1 -SG2.2  SG.2 -SG.3
cell AS10 sleeve cool        SG2.1 -SG2.2  SG.3
cell AS11 sleeve cool        SG2.2 -SG3.1
cell AS12 sleeve cool        SG3.1 -SG3.2 -SG.2
cell AS13 sleeve steel       SG3.1 -SG3.2  SG.2 -SG.3
cell AS14 sleeve cool        SG3.1 -SG3.2  SG.3
cell AS15 sleeve cool        SG3.2 -AX3.3
cell AS16 sleeve steel_water AX3.3 -AX3.4
cell AS17 sleeve cool        AX3.4
~
% --- Grid spacer sleeves

cell  A11.1 A1  fill sleeve  SG.2